.\"/* Copyright 1988,1990,1993 by Paul Vixie
.\" * All rights reserved
.\" *
.\" * Distribute freely, except: don't remove my name from the source or
.\" * documentation (don't take credit for my work), mark your changes (don't
.\" * get me blamed for your possible bugs), don't alter or remove this
.\" * notice.  May be sold if buildable source is provided to buyer.  No
.\" * warrantee of any kind, express or implied, is included with this
.\" * software; use at your own risk, responsibility for damages (if any) to
.\" * anyone resulting from the use of this software rests entirely with the
.\" * user.
.\" *
.\" * Send bug reports, bug fixes, enhancements, requests, flames, etc., and
.\" * I'll try to keep a version up to date.  I can be reached as follows:
.\" * Paul Vixie          <paul@vix.com>          uunet!decwrl!vixie!paul
.\" */
.\" 
.\" $FreeBSD: src/usr.sbin/cron/cron/cron.8,v 1.2.2.3 1999/09/05 11:40:08 peter Exp $
.\" 
.Dd December 20, 1993
.Dt CRON 8
.Os
.Sh NAME
.Nm cron
.Nd daemon to execute scheduled commands (Vixie Cron)
.Sh SYNOPSIS
.Nm cron
.Op Fl x Ar debugflag Ns Op ,...
.Sh DESCRIPTION
.Nm Cron
should be started from
.Pa /etc/rc
or
.Pa /etc/rc.local .
It will return immediately,
so you don't need to start it with '&'.
.Pp
.Nm Cron
searches
.Pa /var/cron/tabs
for crontab files which are named after accounts in
.Pa /etc/passwd ;
crontabs found are loaded into memory.
.Nm Cron
also searches for
.Pa /etc/crontab
which is in a different format (see
.Xr crontab 5 ).
.Nm Cron
then wakes up every minute, examining all stored crontabs, checking each
command to see if it should be run in the current minute.  When executing
commands, any output is mailed to the owner of the crontab (or to the user
named in the
.Ev MAILTO
environment variable in the crontab, if such exists).
.Pp
Additionally,
.Nm
checks each minute to see if its spool directory's modtime (or the modtime
on
.Pa /etc/crontab )
has changed, and if it has,
.Nm
will then examine the modtime on all crontabs and reload those which have
changed.  Thus
.Nm
need not be restarted whenever a crontab file is modified.  Note that the
.Xr crontab 1
command updates the modtime of the spool directory whenever it changes a
crontab.
.Sh SEE ALSO
.Xr crontab 1 ,
.Xr crontab 5 
.Sh AUTHORS
.An Paul Vixie Aq paul@vix.com
